# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-11-18 20:14
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


def profile_forward(apps, schema_editor):
    User = apps.get_model(settings.AUTH_USER_MODEL)
    Profile = apps.get_model("accounts", "Profile")
    db_alias = schema_editor.connection.alias
    for user in User.objects.using(db_alias).all():
        Profile.objects.using(db_alias).get_or_create(user=user)


def profile_backward(apps, schema_editor):
    pass


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.CharField(blank=True, default='', max_length=16, verbose_name='Phone number')),
                ('sms_prefered', models.BooleanField(default=False, verbose_name='SMS prefered')),
                ('biography', models.TextField(blank=True, verbose_name='Biography')),
                ('twitter', models.CharField(blank=True, default='', max_length=100, verbose_name='Twitter')),
                ('linkedin', models.CharField(blank=True, default='', max_length=100, verbose_name='LinkedIn')),
                ('github', models.CharField(blank=True, default='', max_length=100, verbose_name='Github')),
                ('website', models.CharField(blank=True, default='', max_length=100, verbose_name='Website')),
                ('facebook', models.CharField(blank=True, default='', max_length=100, verbose_name='Facebook')),
                ('mastodon', models.CharField(blank=True, default='', max_length=100, verbose_name='Mastodon')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.RunPython(profile_forward, profile_backward),
    ]
